Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Enum Nes::Api::Machine::Event

Machine events.

Field Summary
`EVENT_LOAD` A new image has been loaded into the system.
`EVENT_MODE_NTSC` Mode has changed to NTSC.
`EVENT_MODE_PAL` Mode has changed to PAL.
`EVENT_POWER_OFF` Machine power OFF.
`EVENT_POWER_ON` Machine power ON.
`EVENT_RESET_HARD` Machine hard-reset.
`EVENT_RESET_SOFT` Machine soft-reset.
`EVENT_UNLOAD` An image has been unloaded from the system.

Field Detail

### EVENT_LOAD

    public EVENT_LOAD

  A new image has been loaded into the system.

### EVENT_MODE_NTSC

    public EVENT_MODE_NTSC

  Mode has changed to NTSC.

### EVENT_MODE_PAL

    public EVENT_MODE_PAL

  Mode has changed to PAL.

### EVENT_POWER_OFF

    public EVENT_POWER_OFF

  Machine power OFF.

### EVENT_POWER_ON

    public EVENT_POWER_ON

  Machine power ON.

### EVENT_RESET_HARD

    public EVENT_RESET_HARD

  Machine hard-reset.

### EVENT_RESET_SOFT

    public EVENT_RESET_SOFT

  Machine soft-reset.

### EVENT_UNLOAD

    public EVENT_UNLOAD

  An image has been unloaded from the system.

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD